## percona-postgresql-12 12.9

=== src/backend/access/brin/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for access/brin
#
# IDENTIFICATION
#    src/backend/access/brin/Makefile
#
#-------------------------------------------------------------------------

subdir = src/backend/access/brin
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = brin.o brin_pageops.o brin_revmap.o brin_tuple.o brin_xlog.o \
       brin_minmax.o brin_inclusion.o brin_validate.o

include $(top_srcdir)/src/backend/common.mk

## percona-postgresql-12 12

=== debian/changelog ===
percona-postgresql-12 (12-2) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 14 May 2020 11:26:40 -0400

percona-postgresql-12 (12-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 14 May 2020 11:26:40 -0400

=== debian/control ===
Source: percona-postgresql-12
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Standards-Version: 4.5.0
Build-Depends:
 bison,
 clang-10 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
 debhelper (>= 9~),
 dh-exec (>= 0.13~),
 docbook-xml,
 docbook-xsl (>= 1.77),
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 krb5-multidev,
 libedit-dev,
 libicu-dev,
 libipc-run-perl,
 libldap2-dev,
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 llvm-10-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
 perl (>= 5.8),
 pkg-config,
 python3-dev,
 systemtap-sdt-dev,
 tcl-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev
Homepage: http://www.postgresql.org/

Package: libpq-dev
Architecture: any
Section: libdevel
Depends:
 libpq5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-doc-12
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 12
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-12
Architecture: any
Depends:
 locales | locales-all,
 percona-postgresql-client-12,
 percona-postgresql-common (>= 182~),
 ssl-cert,
 tzdata,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-contrib-12, postgresql-contrib-12, postgresql-12
Recommends: sysstat
Description: object-relational SQL database, version 12 server
 PostgreSQL is a powerful, open source object-relational database
 system. It is fully ACID compliant, has full support for foreign
 keys, joins, views, triggers, and stored procedures (in multiple
 languages). It includes most SQL:2008 data types, including INTEGER,
 NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It
 also supports storage of binary large objects, including pictures,
 sounds, or video. It has native programming interfaces for C/C++,
 Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and
 exceptional documentation.
 .
 This package provides the database server for PostgreSQL 12.
XB-Postgresql-Catversion: ${postgresql:Catversion}

#dbg#Package: percona-postgresql-12-dbg
#dbg#Section: debug
#dbg#Priority: optional
#dbg#Architecture: any
#dbg#Depends: percona-postgresql-12 (= ${binary:Version}), ${misc:Depends}
#dbg#Description: debug symbols for postgresql-12
#dbg# This package provides detached debugging symbols for PostgreSQL 12.
#dbg# .
#dbg# PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-client-12
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 percona-postgresql-client-common (>= 182~),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-12, percona-postgresql-doc-12
Provides: percona-postgresql-client, postgresql-client, postgresql-client-12
Conflicts: postgresql-server-dev-12 (<< 12.1-2~)
Replaces: postgresql-server-dev-12 (<< 12.1-2~)
Description: front-end programs for PostgreSQL 12
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 12. If you install
 PostgreSQL 12 on a standalone machine, you need the server package
 postgresql-12, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-server-dev-12
Architecture: any
Section: libdevel
Depends:
 clang-10 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
 libpq-dev (>= 12~~),
 llvm-10-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
 percona-postgresql-client-12, percona-postgresql-common (>= 142~),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 postgresql-server-dev-all (<< 181~)
Provides: postgresql-server-dev-all, postgresql-server-dev-all-12
Description: development files for PostgreSQL 12 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-doc-12
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: postgresql-common (<< 158~)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 12. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plperl-12
Architecture: any
Depends:
 perl,
 percona-postgresql-12 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: percona-postgresql-12 (<< 12~beta4)
Replaces: percona-postgresql-12 (<< 12~beta4)
Provides: percona-postgresql-plperl, postgresql-plperl, postgresql-plperl-12
Description: PL/Perl procedural language for PostgreSQL 12
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 12 in Perl.  You need this package if you have any
 PostgreSQL 12 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plpython3-12
Architecture: any
Depends:
 percona-postgresql-12 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: percona-postgresql-12 (<< 12~beta4)
Replaces: percona-postgresql-12 (<< 12~beta4)
Provides: postgresql-plpython3,postgresql-plpython3-12, percona-postgresql-plpython3
Description: PL/Python 3 procedural language for PostgreSQL 12
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 12 in Python 3.  You need this package if you have any
 PostgreSQL 12 functions that use the languages plpython3 or plpython3u.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-pltcl-12
Architecture: any
Depends:
 percona-postgresql-12 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-pltcl, postgresql-pltcl, postgresql-12-pltcl
Description: PL/Tcl procedural language for PostgreSQL 12
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 12 in Tcl.  You need this package if you have any
 PostgreSQL 12 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

MAJOR_VER := 12
#CASSERT_FLAGS := --enable-cassert

CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#PIE# # On jessie/zesty and older, uncomment the #PIE# lines
#PIE# # "-pie" because it would break linking our .so files
#PIE# export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
#PIE# # skip -pie on 32bit archs for performance and stability reasons
#PIE# # (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
#PIE# ifneq ($(DEB_HOST_ARCH_BITS || :),32)
#PIE# CFLAGS+= -fPIC -pie
#PIE# else
#PIE# # if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
#PIE# CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
#PIE# endif

# Facilitate hierarchical profile generation on amd64 (#730134)
ifeq ($(DEB_HOST_ARCH),amd64)
CFLAGS+= -fno-omit-frame-pointer
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

# if LLVM is installed, use it
ifneq ($(wildcard /usr/bin/llvm-config*),)
LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-10 CLANG=/usr/bin/clang-10
endif

# PostgreSQL 9.5+ does not have native spinlock support on alpha
# No spinlock support for RISC-V yet
ifneq ($(findstring $(DEB_HOST_ARCH), alpha riscv64),)
SPINLOCK_FLAGS = --disable-spinlocks
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD_FLAGS = --with-systemd
SELINUX_FLAGS= --with-selinux
endif

COMMON_CONFIGURE_FLAGS= \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-thread-safety \
  --enable-tap-tests \
  --enable-debug \
  --enable-dtrace \
  $(CASSERT_FLAGS) \
  --disable-rpath \
  --with-uuid=e2fs \
  --with-gnu-ld \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  $(LLVM_FLAGS) \
  $(SYSTEMD_FLAGS) \
  $(SELINUX_FLAGS) \
  $(SPINLOCK_FLAGS) \
  MKDIR_P='/bin/mkdir -p' \
  TAR='/bin/tar' \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

# allow missing krb5 and ldap during bootstrapping
ifeq ($(DEB_STAGE),stage1)
BOOTSTRAP_FLAGS=
else
BOOTSTRAP_FLAGS= --with-gssapi --with-ldap \
		 --with-includes=/usr/include/mit-krb5 \
		 --with-libs=/usr/lib/mit-krb5 \
		 --with-libs=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
           --with-icu \
           --with-tcl \
           --with-perl \
           --with-python \
           --with-pam \
           --with-openssl \
           --with-libxml \
           --with-libxslt \
           PYTHON=/usr/bin/python3 \
           $(COMMON_CONFIGURE_FLAGS) \
           $(BOOTSTRAP_FLAGS)
	# remove pre-built documentation
	rm -fv doc/src/sgml/*-stamp

override_dh_auto_build-indep:
	$(MAKE) -C build/doc all # build man + html

override_dh_auto_build-arch:
	# set MAKELEVEL to 0 to force building submake-generated-headers in src/Makefile.global(.in)
	MAKELEVEL=0 $(MAKE) -C build/src all
	$(MAKE) -C build/doc man # build man only
	$(MAKE) -C build/config all
	$(MAKE) -C build/contrib all
	# build tutorial stuff
	$(MAKE) -C build/src/tutorial NO_PGXS=1

override_dh_auto_install-arch:
	$(MAKE) -C build/doc/src/sgml install-man DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/config install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/contrib install DESTDIR=$(CURDIR)/debian/tmp
	# move SPI examples into server package (they wouldn't be in the doc package in an -A build)
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	mv debian/tmp/usr/share/doc/postgresql-doc-$(MAJOR_VER)/extension debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/examples

override_dh_auto_install-indep:
	$(MAKE) -C build/doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c
	# compress manpages
	gzip -9n $(CURDIR)/debian/*/usr/share/postgresql/*/man/man*/*.[137]

override_dh_install-arch:
	dh_install --fail-missing

	# link README.Debian.gz to postgresql-common
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	ln -s ../percona-postgresql-common/README.Debian.gz debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/README.Debian.gz

	# assemble perl version of pg_config in libpq-dev
	sed -ne '1,/__DATA__/p' debian/pg_config.pl > debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config >> debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config --help >> debian/libpq-dev/usr/bin/pg_config
	chmod 755 debian/libpq-dev/usr/bin/pg_config

	# remove actual build path from Makefile.global for reproducibility
	sed -i -e "s!^abs_top_builddir.*!abs_top_builddir = /build/percona-postgresql-$(MAJOR_VER)/build!" \
	       -e "s!^abs_top_srcdir.*!abs_top_srcdir = /build/percona-postgresql-$(MAJOR_VER)/build/..!" \
	       -e 's!-f\(debug\|file\)-prefix-map=[^ ]* !!g' \
	       debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/Makefile.global

	# these are shipped in the pl packages
	bash -c "rm -v debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/{plperl,plpython,pltcl,*_pl}*"
	bash -c "rm -v debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/{plperl,plpython,pltcl,*_pl}*"
	bash -c "rm -rfv debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/bitcode/*{plperl,plpython,pltcl}*"

	# record catversion in a file
	echo $(CATVERSION) > debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/catalog_version

override_dh_install-indep:
	dh_install --fail-missing

	if [ -d debian/percona-postgresql-doc-$(MAJOR_VER) ]; then set -e; \
		install -d debian/percona-postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
		install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/percona-postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	fi

override_dh_auto_test-indep:
	# nothing to do

override_dh_auto_test-arch:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# when tests fail, print newest 3 log files
	# initdb doesn't like LANG and LC_ALL to contradict, unset LANG and LC_CTYPE here
	# temp-install wants to be invoked from a top-level make, unset MAKELEVEL here
	# hurd doesn't implement semaphores shared between processes yet; succeed anyway so they at least have libpq5
	# plperl currently fails on kfreebsd-*
	unset LANG LC_CTYPE MAKELEVEL; \
	if ! make -C build check-world \
	  EXTRA_REGRESS_OPTS='--port=$(shell perl -le 'print 1024 + int(rand(64000))')' \
	  PROVE_FLAGS="--verbose"; \
	then \
	    for l in `find build \( -name regression.diffs -o -name install.log -o -name initdb.log -o -name postmaster.log \) | perl -we 'print map { "$$_\n"; } sort { (stat $$a)[9] <=> (stat $$b)[9] } map { chomp; $$_; } <>' | tail -3`; do \
		echo "******** $$l ********"; \
		cat $$l; \
	    done; \

## percona-postgresql-12 12.9

=== debian/changelog ===
percona-postgresql-12 (12.9-2) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.9-2

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 07 Dec 2021 06:18:10 -0500

percona-postgresql-12 (12.9) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 07 Dec 2021 06:18:10 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Percona Development Team <info@percona.com>
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
  bison,
- clang-10 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
- debhelper (>= 9~),
+ clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
  dh-exec (>= 0.13~),
  docbook-xml,
  docbook-xsl (>= 1.77),
@@ -26,7 +26,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-10-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
  perl (>= 5.8),
  pkg-config,
  python3-dev,
@@ -137,36 +137,25 @@
  ${shlibs:Depends}
 Provides: percona-postgresql-contrib-12, postgresql-contrib-12, postgresql-12
 Recommends: sysstat
-Description: object-relational SQL database, version 12 server
- PostgreSQL is a powerful, open source object-relational database
- system. It is fully ACID compliant, has full support for foreign
- keys, joins, views, triggers, and stored procedures (in multiple
- languages). It includes most SQL:2008 data types, including INTEGER,
- NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It
- also supports storage of binary large objects, including pictures,
- sounds, or video. It has native programming interfaces for C/C++,
- Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and
- exceptional documentation.
+Description: The World's Most Advanced Open Source Relational Database
+ PostgreSQL, also known as Postgres, is a free and open-source relational
+ database management system (RDBMS) emphasizing extensibility and SQL
+ compliance. It features transactions with Atomicity, Consistency, Isolation,
+ Durability (ACID) properties, automatically updatable views, materialized
+ views, triggers, foreign keys, and stored procedures. It is designed to handle
+ a range of workloads, from single machines to data warehouses or Web services
+ with many concurrent users.
  .
  This package provides the database server for PostgreSQL 12.
 XB-Postgresql-Catversion: ${postgresql:Catversion}
 
-#dbg#Package: percona-postgresql-12-dbg
-#dbg#Section: debug
-#dbg#Priority: optional
-#dbg#Architecture: any
-#dbg#Depends: percona-postgresql-12 (= ${binary:Version}), ${misc:Depends}
-#dbg#Description: debug symbols for postgresql-12
-#dbg# This package provides detached debugging symbols for PostgreSQL 12.
-#dbg# .
-#dbg# PostgreSQL is an object-relational SQL database management system.
 
 Package: percona-postgresql-client-12
 Architecture: any
 Multi-Arch: foreign
 Depends:
  libpq5 (>= ${source:Upstream-Version}),
- percona-postgresql-client-common (>= 182~),
+ postgresql-client-common (>= 182~),
  sensible-utils,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -191,9 +180,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-10 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
+ clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
  libpq-dev (>= 12~~),
- llvm-10-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
  percona-postgresql-client-12, percona-postgresql-common (>= 142~),
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,19 +10,8 @@
 CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-#PIE# # On jessie/zesty and older, uncomment the #PIE# lines
-#PIE# # "-pie" because it would break linking our .so files
-#PIE# export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-#PIE# # skip -pie on 32bit archs for performance and stability reasons
-#PIE# # (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
-#PIE# ifneq ($(DEB_HOST_ARCH_BITS || :),32)
-#PIE# CFLAGS+= -fPIC -pie
-#PIE# else
-#PIE# # if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
-#PIE# CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
-#PIE# endif
 
 # Facilitate hierarchical profile generation on amd64 (#730134)
 ifeq ($(DEB_HOST_ARCH),amd64)
@@ -33,7 +22,7 @@
 
 # if LLVM is installed, use it
 ifneq ($(wildcard /usr/bin/llvm-config*),)
-LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-10 CLANG=/usr/bin/clang-10
+LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-11 CLANG=/usr/bin/clang-11
 endif
 
 # PostgreSQL 9.5+ does not have native spinlock support on alpha
@@ -59,7 +48,6 @@
   --includedir=/usr/include/postgresql/ \
   --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
   --enable-nls \
-  --enable-integer-datetimes \
   --enable-thread-safety \
   --enable-tap-tests \
   --enable-debug \
@@ -75,6 +63,7 @@
   $(SELINUX_FLAGS) \
   $(SPINLOCK_FLAGS) \
   MKDIR_P='/bin/mkdir -p' \
+  PROVE='/usr/bin/prove' \
   TAR='/bin/tar' \
   CFLAGS='$(CFLAGS)' \
   LDFLAGS='$(LDFLAGS)'
@@ -143,11 +132,11 @@
 
 override_dh_compress:
 	dh_compress -X.source -X.c
-	# compress manpages
-	gzip -9n $(CURDIR)/debian/*/usr/share/postgresql/*/man/man*/*.[137]
+	# compress manpages (excluding debian/tmp/)
+	gzip -9n $(CURDIR)/debian/*-*/usr/share/postgresql/*/man/man*/*.[137]
 
 override_dh_install-arch:
-	dh_install --fail-missing
+	dh_install -a
 
 	# link README.Debian.gz to postgresql-common
 	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
@@ -174,7 +163,7 @@
 	echo $(CATVERSION) > debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/catalog_version
 
 override_dh_install-indep:
-	dh_install --fail-missing
+	dh_install -i
 
 	if [ -d debian/percona-postgresql-doc-$(MAJOR_VER) ]; then set -e; \
 		install -d debian/percona-postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
@@ -186,7 +175,7 @@
 
 override_dh_auto_test-arch:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# when tests fail, print newest 3 log files
+	# when tests fail, print newest log files
 	# initdb doesn't like LANG and LC_ALL to contradict, unset LANG and LC_CTYPE here
 	# temp-install wants to be invoked from a top-level make, unset MAKELEVEL here
 	# hurd doesn't implement semaphores shared between processes yet; succeed anyway so they at least have libpq5
@@ -196,7 +185,25 @@
 	  EXTRA_REGRESS_OPTS='--port=$(shell perl -le 'print 1024 + int(rand(64000))')' \
 	  PROVE_FLAGS="--verbose"; \
 	then \
-	    for l in `find build \( -name regression.diffs -o -name install.log -o -name initdb.log -o -name postmaster.log \) | perl -we 'print map { "$$_\n"; } sort { (stat $$a)[9] <=> (stat $$b)[9] } map { chomp; $$_; } <>' | tail -3`; do \
+	    for l in `find build -name 'regression.*' -o -name '*.log' -o -name '*_log_*' | perl -we 'print map { "$$_\n"; } sort { (stat $$a)[9] <=> (stat $$b)[9] } map { chomp; $$_; } <>' | tail -n 10`; do \
 		echo "******** $$l ********"; \
 		cat $$l; \
 	    done; \
+	    case $(DEB_HOST_ARCH) in \
+	        hurd-*|kfreebsd-*) exit 0 ;; \
+	        *) exit 1 ;; \
+	    esac; \
+	fi
+endif
+
+#dbg#override_dh_strip:
+#dbg#	dh_strip --dbg-package=postgresql-$(MAJOR_VER)-dbg
+
+override_dh_installdeb-arch:
+	dh_installdeb
+	# record catversion in preinst
+	sed -i -e 's/@CATVERSION@/$(CATVERSION)/' debian/percona-postgresql-$(MAJOR_VER)/DEBIAN/preinst
+
+override_dh_gencontrol:
+	# record catversion in .deb control file
+	dh_gencontrol -- -Vpostgresql:Catversion=$(CATVERSION)

## percona-postgresql-12 12.10

=== debian/changelog ===
percona-postgresql-12 (12.10-3) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.10-3

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Fri, 18 Mar 2022 15:27:38 -0400

percona-postgresql-12 (12.10) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 18 Mar 2022 15:27:38 -0400

=== debian/rules ===
#!/usr/bin/make -f

# The PostgreSQL server packages include this in their debian/rules file.
MAJOR_VER = 12
ifndef MAJOR_VER
$(error MAJOR_VER must be defined before including this file)
endif

# path to auxiliary build files
AUX_MK_DIR = /usr/share/postgresql-common/server

# version comparison
version_ge = $(shell dpkg --compare-versions $(MAJOR_VER) ge $(1) && echo y)

# include dpkg makefiles
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# strict symbol checking
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# server catalog version
CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)

# configure flags

CONFIGURE_FLAGS = \
  --with-tcl \
  --with-perl \
  --with-python \
  --with-pam \
  --with-openssl \
  --with-libxml \
  --with-libxslt \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
  --enable-nls \
  --enable-thread-safety \
  --enable-debug \
  --enable-dtrace \
  --disable-rpath \
  --with-uuid=e2fs \
  --with-gnu-ld \
  --with-gssapi \
  --with-ldap \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  AWK=mawk \
  MKDIR_P='/bin/mkdir -p' \
  PROVE='/usr/bin/prove' \
  PYTHON=/usr/bin/python3 \
  TAR='/bin/tar' \
  XSLTPROC='xsltproc --nonet' \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

ifeq ($(call version_ge,9.4),y)
  CONFIGURE_FLAGS += --enable-tap-tests
endif

ifeq ($(call version_ge,9.5),y)
  ifneq ($(findstring $(DEB_HOST_ARCH), alpha),)
    CONFIGURE_FLAGS += --disable-spinlocks
  endif
endif

ifeq ($(call version_ge,10),y)
  CONFIGURE_FLAGS += --with-icu
endif

ifeq ($(call version_ge,11),y)
  # if LLVM is installed, use it
  ifneq ($(wildcard /usr/bin/llvm-config-*),)
    LLVM_CONFIG = $(lastword $(sort $(wildcard /usr/bin/llvm-config-*)))
    LLVM_VERSION = $(subst /usr/bin/llvm-config-,,$(LLVM_CONFIG))
    CONFIGURE_FLAGS += --with-llvm LLVM_CONFIG=$(LLVM_CONFIG) CLANG=/usr/bin/clang-$(LLVM_VERSION)
  else
    LLVM_VERSION = 0.invalid # mute dpkg error on empty version fields in debian/control
  endif
  TEMP_CONFIG = TEMP_CONFIG=$(AUX_MK_DIR)/test-with-jit.conf
endif

ifeq ($(call version_ge,13),y)
  CONFIGURE_FLAGS += --with-lz4
endif

# Facilitate hierarchical profile generation on amd64 (#730134)
ifeq ($(DEB_HOST_ARCH),amd64)
  CFLAGS += -fno-omit-frame-pointer
endif

# Work around an ICE bug in GCC 11.2.0, see
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=103395
ifneq ($(findstring $(DEB_HOST_ARCH), armel armhf),)
  CFLAGS+= -DSTAP_SDT_ARG_CONSTRAINT=g
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_FLAGS += --with-systemd
  CONFIGURE_FLAGS += --with-selinux
endif

ifneq ($(filter pkg.postgresql.cassert,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_FLAGS += --enable-cassert
  GENCONTROL_FLAGS += -Vcassert='$${Newline}$${Newline}This package has been built with cassert enabled.'
endif

# hurd implemented semaphores only recently and tests still fail a lot
# plperl fails on kfreebsd-* (#704802)
ifneq ($(filter hurd kfreebsd,$(DEB_HOST_ARCH_OS)),)
  TEST_FAIL_COMMAND = exit 0
else
  TEST_FAIL_COMMAND = exit 0
endif

# recipes

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- $(CONFIGURE_FLAGS)
	# remove pre-built documentation
	rm -fv doc/src/sgml/*-stamp

override_dh_auto_build-indep:
	$(MAKE) -C build/doc all # build man + html

override_dh_auto_build-arch:
	# set MAKELEVEL to 0 to force building submake-generated-headers in src/Makefile.global(.in)
	MAKELEVEL=0 $(MAKE) -C build/src all
	$(MAKE) -C build/doc man # build man only
	$(MAKE) -C build/config all
	$(MAKE) -C build/contrib all
	# build tutorial stuff
	$(MAKE) -C build/src/tutorial NO_PGXS=1

override_dh_auto_install-arch:
	$(MAKE) -C build/doc/src/sgml install-man DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/config install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/contrib install DESTDIR=$(CURDIR)/debian/tmp
	# move SPI examples into server package (they wouldn't be in the doc package in an -A build)
	mkdir -p debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	mkdir -p debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/examples/extension/
	mv -f debian/tmp/usr/share/doc/postgresql-doc-$(MAJOR_VER)/extension/* debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/examples/extension/

override_dh_auto_install-indep:
	$(MAKE) -C build/doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c
	# compress manpages (excluding debian/tmp/)
	gzip -9n $(CURDIR)/debian/*-*/usr/share/postgresql/*/man/man*/*.[137]

override_dh_install-arch:
	dh_install -a

	# link README.Debian.gz to postgresql-common
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	ln -s ../percona-postgresql-common/README.Debian.gz debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/README.Debian.gz

	# assemble perl version of pg_config in libpq-dev
	cp debian/percona-postgresql-client-12/usr/lib/postgresql/12/bin/pg_config debian/libpq-dev/usr/bin/
	sed -ne '1,/__DATA__/p' debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config >> debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config --help >> debian/libpq-dev/usr/bin/pg_config
	chmod 755 debian/libpq-dev/usr/bin/pg_config

	# remove actual build path from Makefile.global for reproducibility
	sed -i -e "s!^abs_top_builddir.*!abs_top_builddir = /build/percona-postgresql-$(MAJOR_VER)/build!" \
	       -e "s!^abs_top_srcdir.*!abs_top_srcdir = /build/percona-postgresql-$(MAJOR_VER)/build/..!" \
	       -e 's!-f\(debug\|file\)-prefix-map=[^ ]* !!g' \
	       debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/Makefile.global

	# these are shipped in the pl packages
	bash -c "rm -v debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/{plperl,plpython,pltcl,*_pl}*"
	bash -c "rm -v debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/{plperl,plpython,pltcl,*_pl}*"
	bash -c "rm -rfv debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/bitcode/*{plperl,plpython,pltcl}*"

	# record catversion in a file
	echo $(CATVERSION) > debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/catalog_version

override_dh_install-indep:
	dh_install -i

	if [ -d debian/percona-postgresql-doc-$(MAJOR_VER) ]; then set -e; \
	     install -d debian/percona-postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	     install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/percona-postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	fi

override_dh_auto_test-indep:
	# nothing to do

override_dh_auto_test-arch:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# when tests fail, print newest log files
	# initdb doesn't like LANG and LC_ALL to contradict, unset LANG and LC_CTYPE here

## percona-postgresql-12 12.11

=== debian/changelog ===
percona-postgresql-12 (12.11-3) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.11-3

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Sun, 29 May 2022 16:29:03 -0400

percona-postgresql-12 (12.11) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sun, 29 May 2022 16:29:03 -0400

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,36 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
+ autoconf,
  bison,
- clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
+ clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ debhelper,
  dh-exec (>= 0.13~),
  docbook-xml,
  docbook-xsl (>= 1.77),
  dpkg-dev (>= 1.16.1~),
  flex,
+ gdb <!nocheck>,
  gettext,
  krb5-multidev,
  libedit-dev,
  libicu-dev,
- libipc-run-perl,
+ libio-pty-perl <!nocheck>,
+ libipc-run-perl <!nocheck>,
+ libkrb5-dev,
  libldap2-dev,
+ liblz4-dev,
  libpam0g-dev | libpam-dev,
  libperl-dev,
+ libreadline-dev,
  libselinux1-dev [linux-any],
  libssl-dev,
  libsystemd-dev [linux-any],
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ mawk,
  perl (>= 5.8),
  pkg-config,
  python3-dev,
@@ -42,6 +50,7 @@
 Section: libdevel
 Depends:
  libpq5 (= ${binary:Version}),
+ libssl-dev,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests: percona-postgresql-doc-12

=== debian/rules ===
--- 
+++ 
@@ -130,6 +130,9 @@
 %:
 	dh $@
 
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip
+
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- $(CONFIGURE_FLAGS)
 	# remove pre-built documentation

## percona-postgresql-12 12.15

=== rpm/Makefile ===
#################################
# RPM-specific Makefile		#
# https://yum.postgresql.org	#
#                         	#
# Devrim Gunduz			#
# devrim@gunduz.org		#
#################################

# Predefined values

ARCH=`rpm --eval "%{_arch}"`
DIR=`pwd`
DIST=.f42
SPECFILE="postgresql-12.spec"

# Now, include global Makefile
include ../../../../global/Makefile.global

=== src/bin/pg_checksums/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/pg_checksums
#
# Copyright (c) 1998-2019, PostgreSQL Global Development Group
#
# src/bin/pg_checksums/Makefile
#
#-------------------------------------------------------------------------

PGFILEDESC = "pg_checksums - verify data checksums in an offline cluster"
PGAPPICON=win32

subdir = src/bin/pg_checksums
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS= pg_checksums.o $(WIN32RES)

all: pg_checksums

pg_checksums: $(OBJS) | submake-libpgport
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@$(X)

install: all installdirs
	$(INSTALL_PROGRAM) pg_checksums$(X) '$(DESTDIR)$(bindir)/pg_checksums$(X)'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(bindir)'

uninstall:
	rm -f '$(DESTDIR)$(bindir)/pg_checksums$(X)'

clean distclean maintainer-clean:
	rm -f pg_checksums$(X) $(OBJS)
	rm -rf tmp_check

check:
	$(prove_check)

installcheck:
	$(prove_installcheck)

=== src/interfaces/ecpg/ecpglib/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for ecpg library
#
# Portions Copyright (c) 1996-2019, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/interfaces/ecpg/ecpglib/Makefile
#
#-------------------------------------------------------------------------

subdir = src/interfaces/ecpg/ecpglib
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

PGFILEDESC = "ECPG - embedded SQL in C"
NAME= ecpg
SO_MAJOR_VERSION= 6
SO_MINOR_VERSION= $(MAJORVERSION)

override CPPFLAGS := -I../include -I$(top_srcdir)/src/interfaces/ecpg/include \
	-I$(libpq_srcdir) -I$(top_builddir)/src/port -DFRONTEND $(CPPFLAGS)
override CFLAGS += $(PTHREAD_CFLAGS)

OBJS= execute.o typename.o descriptor.o sqlda.o data.o error.o prepare.o \
	memory.o connect.o misc.o $(WIN32RES)

SHLIB_LINK_INTERNAL = -L../pgtypeslib -lpgtypes $(libpq_pgport_shlib)
SHLIB_LINK = $(filter -lintl -lm, $(LIBS)) $(PTHREAD_LIBS)
SHLIB_PREREQS = submake-libpq submake-pgtypeslib

SHLIB_EXPORTS = exports.txt

PKG_CONFIG_REQUIRES_PRIVATE = libpq libpgtypes

all: all-lib

.PHONY: submake-pgtypeslib
submake-pgtypeslib:
	$(MAKE) -C $(top_builddir)/src/interfaces/ecpg/pgtypeslib all

# Shared library stuff
include $(top_srcdir)/src/Makefile.shlib

# Make dependency on pg_config_paths.h visible.
misc.o: misc.c $(top_builddir)/src/port/pg_config_paths.h

$(top_builddir)/src/port/pg_config_paths.h:
	$(MAKE) -C $(top_builddir)/src/port pg_config_paths.h

install: all installdirs install-lib

installdirs: installdirs-lib

uninstall: uninstall-lib

clean distclean: clean-lib
	rm -f $(OBJS)

maintainer-clean: distclean maintainer-clean-lib

=== src/test/modules/test_rbtree/Makefile ===
# src/test/modules/test_rbtree/Makefile

MODULE_big = test_rbtree
OBJS = test_rbtree.o $(WIN32RES)
PGFILEDESC = "test_rbtree - test code for red-black tree library"

EXTENSION = test_rbtree
DATA = test_rbtree--1.0.sql

REGRESS = test_rbtree

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = src/test/modules/test_rbtree
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
percona-postgresql-12 (12.15-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.15-1

 -- root <root@2d3ea148379e>  Mon, 19 Jun 2023 12:48:02 -0400

percona-postgresql-12 (12.15) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 19 Jun 2023 12:48:02 -0400

=== debian/control ===
--- 
+++ 
@@ -144,7 +144,7 @@
  tzdata,
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: percona-postgresql-contrib-12, postgresql-contrib-12, postgresql-12
+Provides: percona-postgresql-contrib-12, postgresql-contrib-12 (= ${binary:Version}), postgresql-12 (= ${binary:Version})
 Recommends: sysstat
 Description: The World's Most Advanced Open Source Relational Database
  PostgreSQL, also known as Postgres, is a free and open-source relational
@@ -169,7 +169,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests: percona-postgresql-12, percona-postgresql-doc-12
-Provides: percona-postgresql-client, postgresql-client, postgresql-client-12
+Provides: percona-postgresql-client, postgresql-client (= ${binary:Version}), postgresql-client-12 (= ${binary:Version})
 Conflicts: postgresql-server-dev-12 (<< 12.1-2~)
 Replaces: postgresql-server-dev-12 (<< 12.1-2~)
 Description: front-end programs for PostgreSQL 12

## percona-postgresql-12 12.16

=== debian/changelog ===
percona-postgresql-12 (12.16-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.16-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Sun, 20 Aug 2023 15:20:05 -0400

percona-postgresql-12 (12.16) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sun, 20 Aug 2023 15:20:05 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  autoconf,
  bison,
- clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  debhelper,
  dh-exec (>= 0.13~),
  docbook-xml,
@@ -33,7 +33,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  mawk,
  perl (>= 5.8),
  pkg-config,
@@ -189,9 +189,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
+ clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
  libpq-dev (>= 12~~),
- llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc64 !x32],
  percona-postgresql-client-12, percona-postgresql-common (>= 142~),
  ${misc:Depends},
  ${shlibs:Depends}

## percona-postgresql-12 12.17

=== debian/changelog ===
percona-postgresql-12 (12.17-2) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.17-2

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 28 Nov 2023 13:29:30 -0500

percona-postgresql-12 (12.17) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 28 Nov 2023 13:29:30 -0500

=== debian/control ===
--- 
+++ 
@@ -141,6 +141,7 @@
  percona-postgresql-client-12,
  percona-postgresql-common (>= 182~),
  ssl-cert,
+ curl,
  tzdata,
  ${misc:Depends},
  ${shlibs:Depends}

## percona-postgresql-12 12.20

=== debian/changelog ===
percona-postgresql-12 (12.20-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.20-1

 -- root <root@2193f7dd4a86>  Fri, 30 Aug 2024 05:27:03 -0400

percona-postgresql-12 (12.20) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 30 Aug 2024 05:27:03 -0400

## percona-postgresql-12 12.22

=== rpm/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 ARCH=`rpm --eval "%{_arch}"`
 DIR=`pwd`
-DIST=.f42
+DIST=.f99
 SPECFILE="postgresql-12.spec"
 
 # Now, include global Makefile

=== debian/changelog ===
percona-postgresql-12 (12.22-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 12.22-1

 -- root <root@7e781236bf54>  Tue, 26 Nov 2024 09:18:39 -0500

percona-postgresql-12 (12.22) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 26 Nov 2024 09:18:39 -0500

=== debian/control ===
--- 
+++ 
@@ -143,6 +143,7 @@
  ssl-cert,
  curl,
  tzdata,
+ percona-pg-telemetry12,
  ${misc:Depends},
  ${shlibs:Depends}
 Provides: percona-postgresql-contrib-12, postgresql-contrib-12 (= ${binary:Version}), postgresql-12 (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
   --libexecdir=/usr/lib/postgresql/ \
   --includedir=/usr/include/postgresql/ \
-  --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
+  --with-extra-version=" - Percona Distribution ($(DEB_VENDOR) $(DEB_VERSION))" \
   --enable-nls \
   --enable-thread-safety \
   --enable-debug \
@@ -219,4 +219,3 @@
 override_dh_auto_test-arch:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# when tests fail, print newest log files
-	# initdb doesn't like LANG and LC_ALL to contradict, unset LANG and LC_CTYPE here
